commit:     e5883f1964b837ad24addc4c24b7bea731012979
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 25 21:13:32 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Nov 25 21:14:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5883f19

media-libs/alsa-lib: Revbump to fix pulseaudio build

Reported-by: crabbed halo ablution <crabbedhaloablution <AT> icloud.com>
Tested-by: crabbed halo ablution <crabbedhaloablution <AT> icloud.com>
Thanks-to: James Le Cuirot <chewi <AT> gentoo.org>
Closes: https://bugs.gentoo.org/700870
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/alsa-lib/alsa-lib-1.2.1.1-r1.ebuild     | 86 ++++++++++++++++++++++
 .../alsa-lib-1.2.1.1-ucm_add_asoundlib_h.patch     | 25 +++++++
 2 files changed, 111 insertions(+)

diff --git a/media-libs/alsa-lib/alsa-lib-1.2.1.1-r1.ebuild 
b/media-libs/alsa-lib/alsa-lib-1.2.1.1-r1.ebuild
new file mode 100644
index 00000000000..704317dcf5a
--- /dev/null
+++ b/media-libs/alsa-lib/alsa-lib-1.2.1.1-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit autotools multilib multilib-minimal python-single-r1
+
+DESCRIPTION="Advanced Linux Sound Architecture Library"
+HOMEPAGE="https://alsa-project.org/";
+SRC_URI="https://www.alsa-project.org/files/pub/lib/${P}.tar.bz2";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-linux ~x86-linux"
+IUSE="alisp debug doc elibc_uclibc python +thread-safety"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+       doc? ( >=app-doc/doxygen-1.2.6 )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.1.6-missing_files.patch" #652422
+       "${FILESDIR}/${P}-ucm_add_asoundlib_h.patch" #700870
+)
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       find . -name Makefile.am -exec sed -i -e '/CFLAGS/s:-g -O2::' {} + || 
die
+       # https://bugs.gentoo.org/509886
+       if use elibc_uclibc ; then
+               sed -i -e 's:oldapi queue_timer:queue_timer:' test/Makefile.am 
|| die
+       fi
+       # https://bugs.gentoo.org/545950
+       sed -i -e '5s:^$:\nAM_CPPFLAGS = -I$(top_srcdir)/include:' 
test/lsb/Makefile.am || die
+       default
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-maintainer-mode
+               --disable-resmgr
+               --enable-aload
+               --enable-rawmidi
+               --enable-seq
+               --enable-shared
+               # enable Python only on final ABI
+               $(multilib_native_use_enable python)
+               $(use_enable alisp)
+               $(use_enable thread-safety)
+               $(use_with debug)
+               $(usex elibc_uclibc --without-versioned '')
+       )
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+       emake
+
+       if multilib_is_native_abi && use doc; then
+               emake doc
+               grep -FZrl "${S}" doc/doxygen/html | \
+                       xargs -0 sed -i -e "s:${S}::"
+       fi
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+       if multilib_is_native_abi && use doc; then
+               docinto html
+               dodoc -r doc/doxygen/html/.
+       fi
+}
+
+multilib_src_install_all() {
+       find "${ED}" -type f \( -name '*.a' -o -name '*.la' \) -delete || die
+       dodoc ChangeLog doc/asoundrc.txt NOTES TODO
+}

diff --git 
a/media-libs/alsa-lib/files/alsa-lib-1.2.1.1-ucm_add_asoundlib_h.patch 
b/media-libs/alsa-lib/files/alsa-lib-1.2.1.1-ucm_add_asoundlib_h.patch
new file mode 100644
index 00000000000..3c6072b8c3d
--- /dev/null
+++ b/media-libs/alsa-lib/files/alsa-lib-1.2.1.1-ucm_add_asoundlib_h.patch
@@ -0,0 +1,25 @@
+From: Jaroslav Kysela <[email protected]>
+Date: Sat, 23 Nov 2019 14:38:35 +0000 (+0100)
+Subject: ucm: use-case.h - add <alsa/asoundlib.h> include
+X-Git-Url: 
https://git.alsa-project.org/?p=alsa-lib.git;a=commitdiff_plain;h=1a4b362115b5e1bb4f5b888919ffd11736adbf0c
+
+ucm: use-case.h - add <alsa/asoundlib.h> include
+
+It is required for snd_ctl_elem_id_t and snd_mixer_selem_id_t.
+
+Signed-off-by: Jaroslav Kysela <[email protected]>
+---
+
+diff --git a/include/use-case.h b/include/use-case.h
+index 8a37121..80073ef 100644
+--- a/include/use-case.h
++++ b/include/use-case.h
+@@ -42,6 +42,8 @@
+ extern "C" {
+ #endif
+ 
++#include <alsa/asoundlib.h>
++
+ /**
+  *  \defgroup ucm Use Case Interface
+  *  The ALSA Use Case manager interface.

Reply via email to